Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class DigestAlgAndValueType

    java.lang.Object
      org.etsi.uri._01903.v1_3.DigestAlgAndValueType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class DigestAlgAndValueType

extends Object
implements Serializable

Java class for DigestAlgAndValueType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DigestAlgAndValueType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}DigestMethod"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}DigestValue"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DigestAlgAndValueType()`

Method Summary
`DigestMethod` | `getDigestMethod()` Gets the value of the digestMethod property.
`byte[]` | `getDigestValue()` Gets the value of the digestValue property.
`void` | `setDigestMethod(DigestMethod value)` Sets the value of the digestMethod property.
`void` | `setDigestValue(byte[] value)` Sets the value of the digestValue property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigestAlgAndValueType

    public DigestAlgAndValueType()

Method Detail

### getDigestMethod

    public DigestMethod getDigestMethod()

  Gets the value of the digestMethod property.

  Returns:
    possible object is `DigestMethod`

### setDigestMethod

    public void setDigestMethod(DigestMethod value)

  Sets the value of the digestMethod property.

  Parameters:
    `value` - allowed object is `DigestMethod`

### getDigestValue

    public byte[] getDigestValue()

  Gets the value of the digestValue property.

  Returns:
    possible object is byte[]

### setDigestValue

    public void setDigestValue(byte[] value)

  Sets the value of the digestValue property.

  Parameters:
    `value` - allowed object is byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.